package com.flyfish.framework.domain.authorized;

import com.flyfish.framework.domain.base.AuditDomain;
import lombok.Getter;
import lombok.Setter;

/**
 * 带鉴权的实体，主要以部门隔绝
 *
 * @param <T>
 */
@Getter
@Setter
public abstract class AuthorizedDomain<T extends AuthorizedDomain<T>> extends AuditDomain {

    // 作用域id，一般是部门。用户存储时插入
    private String authorizeId;
}
